OPL::Style Class Reference

The AStyle class encapsulates style and stylesheet logic. More...

`#include <style.h>`

## Public Types

enum class | StyleType { Light , Dark }

## Static Public Member Functions

static void | setup ()
| Setup Application style by reading from openPilotLog.ini.
static void | setStyle (const QString &style_key)
static void | setStyle (const StyleSheet &style_sheet)
static void | setStyle (const QPalette &palette)
static QString | getCurrentStyle ()
static StyleType | getStyleType ()
static QPalette | darkPalette ()
static const QString & | style ()
static void | loadStylesComboBox (QComboBox *combo_box)

## Static Public Attributes

static const QStringList | styles = QStyleFactory::keys()
static const QString | defaultStyle = QStringLiteral("Fusion")
static const QList< StyleSheet > | styleSheets

## Detailed Description

The AStyle class encapsulates style and stylesheet logic.

## Member Data Documentation

## styleSheets

const QList< StyleSheet > OPL::Style::styleSheets

static

Initial value:
= {
{QLatin1String("Breeze"), QLatin1String(":breeze_light.qss")},
{QLatin1String("Breeze-Dark"), QLatin1String(":breeze_dark.qss")},
{QLatin1String("QDarkStyle"), QLatin1String(":qdarkstyle/qdarkstyle.qss")},
}

The documentation for this class was generated from the following files:

- src/classes/style.h
- src/classes/style.cpp